---
title: llarp::log_detail

---

# llarp::log_detail



## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::log_detail::concat_args_fmt_impl](Classes/structllarp_1_1log__detail_1_1concat__args__fmt__impl.md)**  |
| struct | **[llarp::log_detail::concat_args_fmt_impl< std::integer_sequence< size_t, I... > >](Classes/structllarp_1_1log__detail_1_1concat__args__fmt__impl_3_01std_1_1integer__sequence_3_01size__t_00_01I_8_8_8_01_4_01_4.md)**  |

## Functions

|                | Name           |
| -------------- | -------------- |
| template <size_t N\> <br>constexpr std::string_view | **[concat_args_fmt](Namespaces/namespacellarp_1_1log__detail.md#function-concat-args-fmt)**() |

## Attributes

|                | Name           |
| -------------- | -------------- |
| log::CategoryLogger | **[legacy_logger](Namespaces/namespacellarp_1_1log__detail.md#variable-legacy-logger)**  |


## Functions Documentation

### function concat_args_fmt

```cpp
template <size_t N>
constexpr std::string_view concat_args_fmt()
```



## Attributes Documentation

### variable legacy_logger

```cpp
log::CategoryLogger legacy_logger = log::Cat("");
```





-------------------------------

Updated on 2022-10-06 at 19:25:18 +0000